package cn.rankin.apiweb.controller;

import cn.rankin.apiweb.assist.resolver.NeedUser;
import cn.rankin.apiweb.service.user.UserService;
import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.data.api.app.vo.DeviceUserVo;
import cn.rankin.data.api.user.vo.QRCodeVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


@Slf4j
@RestController
@RequestMapping(value = "/qrcode")
public class QRcodeController {

    @Autowired
    private UserService userService;

    @RequestMapping(method = RequestMethod.GET)
    public APIResult<QRCodeVo> qrcode(@NeedUser DeviceUserVo user)
    {

        String eid = user.getEid();

        log.info("qrcode request header : eid={},", eid);

        return userService.qrcode(eid);
    }

    @RequestMapping(value = "/last", method = RequestMethod.GET)
    public APIResult<QRCodeVo> queryLastQRCode(@NeedUser DeviceUserVo user)
    {
        String eid = user.getEid();
        log.info("qrcode request header : eid={},", eid);
        return userService.queryLastQRCode(eid);
    }

}

